Subject: bug#12594: 24.2.50; i-search high-lighting makes found text invisible in NS variant on Snow Leopard

From: Peter Dyballa <[email-masked]>
Date: Sun, 7 Oct 2012 17:44:30 +0200

Hello!

This screen-shot shows the effect (searching enu):

A similar effect shows up in mini-buffer when I, for example, try to switch to another buffer:

These effects do not appear when I build a native 64-bit application and when I build a 32-bit application without wide ints (which could also be called "native").

The two different 32-bit applications (with or without wide ints) show another behaviour on my multi-core system when launched with -Q: one CPU core has constantly 100 % load when launched with -Q.

In GNU Emacs 24.2.50.1 (i386-apple-darwin10.8.0, NS apple-appkit-1038.36)
 of 2012-10-07 on Sumac.local
Bzr revision: 110380 [email-masked]
Windowing system distributor `Apple', version 10.3.1038
Configured using:
 `configure '--build=x86_64-apple-darwin10.8.0'
 '--host=i386-apple-darwin10.8.0' '--target=i386-apple-darwin10.8.0'
 '--with-wide-int' '--without-pop' '--without-sound' '--without-gpm'
 '--without-dbus' '--without-selinux' '--with-ns'
 '--disable-ns-self-contained' '--without-xpm' '--without-jpeg'
 '--without-tiff' '--without-gif' '--without-png' '--without-rsvg'
 '--x-libraries=/usr/X11/lib' '--x-includes=/usr/X11/include'
 '--enable-locallisppath=/Library/Application
 Support/Emacs/calendar24:/Library/Application Support/Emacs' 'CFLAGS=-g
 -H -pipe -fPIC -fno-common -Os -march=core2 -mtune=core2 -m32
 -fomit-frame-pointer -msse4.2' 'LDFLAGS=-m32 -Wl,-dead_strip_dylibs
 -Wl,-bind_at_load -Wl,-t' 'CPPFLAGS=-I/sw/include' 'CC=clang'
 'CXX=clang++'
 'PKG_CONFIG_PATH=/sw/lib/xft2/lib/pkgconfig:/sw/share/pkgconfig:/sw/lib/pkgconfig:/usr/X11/lib/pkgconfig:/usr/X11/share/pkgconfig:/usr/lib/pkgconfig'
 'build_alias=x86_64-apple-darwin10.8.0'
 'host_alias=i386-apple-darwin10.8.0'
 'target_alias=i386-apple-darwin10.8.0''

Important settings:
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

--
Greetings

  Pete

The wise man said: "Never argue with an idiot. They bring you down to their level and beat you with experience."